%global pypi_name pytest-virtualenv

Name:           python-%{pypi_name}
Version:        1.7.0
Release:        %mkrel 4
Summary:        Virtualenv fixture for py.test
Group:          Development/Python
License:        MIT
URL:            https://pypi.org/project/pytest-virtualenv
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
# needed for tests
BuildRequires:  python3-pytest
BuildRequires:  python3-pytest-shutil
BuildRequires:  python3-pytest-fixture-config
BuildRequires:  python3-path
BuildRequires:  python3-virtualenv

%description
Create a Python virtual environment in your test that cleans up on teardown.
The fixture has utility methods to install packages and list what's installed.

%package -n python3-%{pypi_name}
Summary:        %{summary}
Group:          Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}
# The requirements are missing from upstream metadata:
Requires:       python3-path python3-setuptools

%description -n python3-%{pypi_name}
Create a Python virtual environment in your test that cleans up on teardown.
The fixture has utility methods to install packages and list what's installed.

%prep
%autosetup -n %{pypi_name}-%{version}

# This is not needed when building from the sdist
sed -i -e '/setuptools-git/d' common_setup.py

%build
%py3_build

%install
%py3_install

%check
%{__python3} setup.py test

%files -n python3-%{pypi_name}
%doc README.md CHANGES.md
%{python3_sitelib}/*


%changelog
* Wed Mar 30 2022 umeabot <umeabot> 1.7.0-4.mga9
+ Revision: 1833794
- Mageia 9 Mass Rebuild

* Wed Feb 16 2022 mrambo3501 <mrambo3501> 1.7.0-3.mga9
+ Revision: 1778184
- rebuild for python-3.10

* Thu Apr 01 2021 guillomovitch <guillomovitch> 1.7.0-2.mga9
+ Revision: 1712516
- rebuild for python 3.9

* Thu Mar 11 2021 guillomovitch <guillomovitch> 1.7.0-1.mga9
+ Revision: 1701616
- imported package python-pytest-virtualenv

